#! /usr/bin/env python
from os import path

logdir = path.expanduser('~') + '/.scrib'


def log(payload):
	"""
	Right now it's a simple `[sate] <name> statement`.
	I would like to eventually capture more data, like state variables.
	State variable suggestions:
		session_id, type (topic, it, that)
		POS (who, what, where, when), bot_state ("emotional" state)
		Bot version
		Any other metadata that shapes bot response.
	Ideally this would be extended to include IP and other information
	based on what sort of application is using scrib.
	"""
	logfile = '%s/scrib.log' % logdir

	f = open(logfile, 'a')
	f.write(payload + '\n')
	f.close()
